Modo API
  1. Transfers
  • Welcome to Modo
  • Quickstart
    • Historic API
    • Transfer API
    • Portfolio API
    • API Dashboard
  • API
    • Canton
      • Contracts
        • Get contracts list
        • Get contract details
        • Get contract events
      • Events
        • Get events list
        • Get event details
      • Featured Apps
        • Get featured apps list
        • Get featured app details
      • Governance
        • Get vote requests list
        • Get individual votes
        • Get vote request details
        • Get votes by vote request ID
      • Market Info
        • Get market info
        • Get token rate
      • Dashboard
        • Get dashboard data
      • Parties
        • Get parties list
        • Get top parties
        • Get party details
        • Get party types
      • Super Validators
        • Get super validators list
      • Tokens
        • Get tokens list
        • Get token details
      • Transfers
        • Get transfers list
          GET
        • Get transfers by party
          GET
      • Updates
        • Get updates list
        • Get raw update details
      • Validators
        • Get validator list
        • Get new validator list
        • Get validator details
        • Check if validator exists
  • Schemas
    • PageableInfo
    • PagedResponseValidatorDtoAPI
    • FeaturedAppDtoAPI
    • SortInfo
    • ValidatorDtoAPI
    • Actual
    • Target
    • TrafficStatus
    • ValidatorDetailsDtoAPI
    • PagedResponseUpdateDtoAPI
    • UpdateDtoAPI
    • PagedResponseTransferDtoAPI
    • ParticipantDtoAPI
    • TransferDtoAPI
    • PageResponseTransferAccountDtoAPI
    • TransferAccountDtoAPI
    • PagedResponseTokenDtoAPI
    • TokenDtoAPI
    • TokenDetailsDtoAPI
    • PagedResponseSuperValidatorDtoAPI
    • SuperValidatorDtoAPI
    • PagedResponseRewardRowDtoAPI
    • RewardRowDtoAPI
    • PagedResponsePartyDtoAPI
    • PartyDtoAPI
    • AccountDetailsDto
    • HoldingsSummary
    • HoldingsSummaryResponse
    • AccountTypesDto
    • TokenRateDtoAPI
    • CirculatingSupplyDtoAPI
    • DominanceDtoAPI
    • MarketCapDtoAPI
    • MarketInfoDtoAPI
    • TotalStakeDtoAPI
    • TotalSupplyDtoAPI
    • PagedResponseVoteRequestDtoAPI
    • VoteRequestDtoAPI
    • PagedResponseVoteDtoAPI
    • VoteDtoAPI
    • JsonNode
    • VoteRequestDetailsDtoAPI
    • IndividualVoteDtoAPI
    • PagedResponseIndividualVoteDtoAPI
    • PagedResponseFeaturedAppDtoAPI
    • EventDtoAPI
    • PagedResponseEventDtoAPI
    • EventDetailsDtoAPI
    • ContractOfferDtoAPI
    • DashboardDtoAPI
    • PagedResponseContractOfferDtoAPI
    • ContractDetailsDtoAPI
    • ContractEventDtoAPI
    • PageResponseContractEventDtoAPI
  1. Transfers

Get transfers by party

GET
/v1/transfers/{partyId}
Retrieve paginated list of transfers for a specific party

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params

Query Params

Responses

🟢200
*/*
OK
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.modo.link/canton-mainnet/v1/transfers/Staketab-mainnet-1::122014f09cb05cffc2f1c524601c4aa91d35908dc55cfe9e92849390137ccc7c0d41?role=ANY&sortBy=AGE&size=20&orderBy=DESC&nextCursor' \
--header 'x-api-key: <api-key>'
Response Response Example
{
    "content": [
        {
            "eventId": "string",
            "transferType": "string",
            "senders": [
                {
                    "partyId": "string",
                    "accountName": "string",
                    "imageUrl": "string"
                }
            ],
            "receivers": [
                {
                    "partyId": "string",
                    "accountName": "string",
                    "imageUrl": "string"
                }
            ],
            "amount": 0,
            "fee": 0,
            "createdAt": 0
        }
    ],
    "hasNextPage": true,
    "nextCursor": "string"
}
Modified at 2025-12-19 15:43:42
Previous
Get transfers list
Next
Get updates list
Built with